<!DOCTYPE html>
<html>
<title>Academy</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="stylesheet" href="https://www.w3schools.com/w3css/4/w3.css">
<link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Raleway">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
<style>
html,body,h1,h2,h3,h4,h5 {font-family: "Raleway", sans-serif}
</style>
<body class="w3-light-grey">

<!-- Top container -->
<div class="w3-bar w3-top w3-black w3-large" style="z-index:4">
  <button class="w3-bar-item w3-button w3-hide-large w3-hover-none w3-hover-text-light-grey" onclick="w3_open();"><i class="fa fa-bars"></i>  Menu</button>
  <div class="w3-bar-item w3-right">
    <a rel="nofollow" data-method="delete" href="/logout" class="fa fa-sign-out" aria-hidden="true"></a>
  </div>
</div>

<!-- Sidebar/menu -->
<nav class="w3-sidebar w3-collapse w3-white w3-animate-left" style="z-index:3;width:300px;" id="mySidebar"><br>
  <div class="w3-container w3-row">
    <div class="w3-col s4">
      <img src="/w3images/avatar2.png" class="w3-circle w3-margin-right" style="width:46px">
    </div>
    <div class="w3-col s8 w3-bar">
      <span>Bem vindo, <strong><%= @admin.name %></strong></span><br>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-envelope"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-user"></i></a>
      <a href="#" class="w3-bar-item w3-button"><i class="fa fa-cog"></i></a>
    </div>
  </div>
  <hr>
  <div class="w3-container">
    <h5>Dashboard</h5>
  </div>
  <div class="w3-bar-block">
    <a href="#" class="w3-bar-item w3-button w3-padding-16 w3-hide-large w3-dark-grey w3-hover-black" onclick="w3_close()" title="close menu"><i class="fa fa-remove fa-fw"></i>  Close Menu</a>
    <a href="/" class="w3-bar-item w3-button w3-padding "><i class="fa fa-home fa-fw"></i>  home</a>
    <a href="plan_managers" class="w3-bar-item w3-button w3-padding "><i class="fa fa-eye fa-fw"></i>  Planos</a>
    <a href="service_managers" class="w3-bar-item w3-button w3-padding w3-blue"><i class="fa fa-eye fa-fw"></i>  Serviços</a>
    <a href="admin_managers" class="w3-bar-item w3-button w3-padding"><i class="fa fa-users fa-fw"></i>  Gerentes</a>
    <a href="gyms" class="w3-bar-item w3-button w3-padding"><i class="fa fa-bullseye fa-fw"></i>  Academias</a>
    <a href="gym_payment_histories" class="w3-bar-item w3-button w3-padding"><i class="fa fa-diamond fa-fw"></i>  Pagamentos</a>
    <a href="#" class="w3-bar-item w3-button w3-padding"><i class="fa fa-cog fa-fw"></i>  Configurações</a><br><br>
    <a href="/logout" class="w3-bar-item w3-button w3-padding" rel="nofollow" data-method="delete"><i  class="fa fa-sign-out"></i>  Sair</a><br><br>
  </div>
</nav>


<!-- Overlay effect when opening sidebar on small screens -->
<div class="w3-overlay w3-hide-large w3-animate-opacity" onclick="w3_close()" style="cursor:pointer" title="close side menu" id="myOverlay"></div>

<!-- !PAGE CONTENT! -->
<div class="w3-main" style="margin-left:300px;margin-top:43px;">

  <!-- Content -->
  <div class="row">
      <section class="col-lg-12 connectedSortable">
        <table class="table table-hover">
          <thead>
            <tr>
              <th>Name</th>
              <th>Price</th>
              <th colspan="3"></th>
            </tr>
          </thead>

          <tbody>
            <% @service_managers.each do |service_manager| %>
              <tr>
                <td><%= service_manager.name %></td>
                <td><%= service_manager.price %></td>
                <td><%= link_to 'Destroy', service_manager, method: :delete, data: { confirm: 'Are you sure?' } %></td>
              </tr>
            <% end %>
          </tbody>
        </table>
      </section>
    </div>

    <% if @admin %>
      <div class="row">
        <div class="col-lg-offset-5 col-lg-2">
          <a href="/service_managers/new" class="btn btn-primary" role="button">Novo serviço</a>
        </div>
      </div>
    <% end %>
  </section>

  <!-- Content -->

  <!-- Footer -->
  <footer class="w3-container w3-padding-16 w3-light-grey">
    <p>All rights reserved Version: beta </p>
  </footer>

  <!-- End page content -->
</div>

<script>
// Get the Sidebar
var mySidebar = document.getElementById("mySidebar");

// Get the DIV with overlay effect
var overlayBg = document.getElementById("myOverlay");

// Toggle between showing and hiding the sidebar, and add overlay effect
function w3_open() {
    if (mySidebar.style.display === 'block') {
        mySidebar.style.display = 'none';
        overlayBg.style.display = "none";
    } else {
        mySidebar.style.display = 'block';
        overlayBg.style.display = "block";
    }
}

// Close the sidebar with the close button
function w3_close() {
    mySidebar.style.display = "none";
    overlayBg.style.display = "none";
}
</script>

</body>
</html>
